Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Expire an existing user's password, using a valid management key.
This API endpoint allows you to expire an existing user's password. Upon next login, the user will need to follow the reset password flow.
See also
- See Manage Users for further details on managing users.
- See The User Object for further details on the user object.
- See Manage Tenants for further details on managing tenants.
- See Reset Password for sending the password reset email.
curl -X POST "https://api.descope.com/v1/mgmt/user/password/expire" \ -H "Content-Type: application/json" \ -d '{}'Update JWT POST
### Updates a JWT with custom claims, using a valid management key. This API endpoint will update a JWT with custom claims. This endpoint takes the JWT as well as the `customClaims` json.
Set Active Password for User POST
### Set an active password for an existing user, using a valid management key. This API endpoint allows you to set an active password for an existing user. This will allow the user to authenticate with this password without changing it. ### See also - See [Manage Users](/manage/users) for further details on managing users. - See [The User Object](/api/overview#the-user-object) for further details on the user object. - See [Manage Tenants](/management/tenant-management) for further details on managing tenants.